v2.0
get
/ec-site-svc/rest/v2.0/contacts
Compared with v1, this version includes studyUsage details in contact addresses and properties.
Request
Query Parameters
-
contactType(required): string
Minimum Length:
1Maximum Length:50Contact type filter. Allowed values are study-specific code-list entries, such as INVESTIGATOR.Example:INVESTIGATOR -
countryId(required): string
Minimum Length:
32Maximum Length:32Pattern:^[A-F0-9]{32}$Country identifier as a 32-character uppercase hexadecimal UUID string.Example:C36A3197FDEE433FB5547EE83DE99E4B -
entitiesOption(required): string
entitiesOption is optional. Allowed values are all, associated, notAssociated. Default is all.Allowed Values:
[ "all", "associated", "notAssociated" ]Example:all -
entityId(required): string
Minimum Length:
32Maximum Length:32Pattern:^[A-F0-9]{32}$Optional entity identifier filter. This value is used only when entitiesOption is provided.Example:C36A3197FDEE433FB5547EE83DE99E4B -
investigatorId(required): string
Minimum Length:
32Maximum Length:32Pattern:^[A-F0-9]{32}$Investigator identifier.Example:C36A3197FDEE433FB5547EE83DE99E4B -
limit(required): integer(int32)
Minimum Value:
0Maximum Value:1000Maximum number of rows to return. Only non-negative integers are accepted.Example:50 -
modeId(required): string
Minimum Length:
32Maximum Length:32Pattern:^[A-F0-9]{32}$Mode filter identifier for contacts. Use the modeId associated with active, test, or training mode.Example:C36A3197FDEE433FB5547EE83DE99E4B -
name(required): string
Minimum Length:
1Maximum Length:255Optional contact-name filter. Matches contacts by full or partial name.Example:Site A -
offset(required): integer(int32)
Minimum Value:
0Zero-based row index to start pagination. Only non-negative integers are accepted.Example:0 -
order(required): string
Optional query parameter. Sort direction for returned rows. Allowed values: asc, desc, ASC, DESC.Allowed Values:
[ "ASC", "DESC", "asc", "desc" ]Example:DESC -
specialityId(required): string
Minimum Length:
1Maximum Length:255Optional specialty identifier filter for contacts.Example:C36A3197FDEE433FB5547EE83DE99E4B -
stateId(required): string
Minimum Length:
32Maximum Length:32Pattern:^[A-F0-9]{32}$State identifier as a 32-character uppercase hexadecimal UUID string.Example:C36A3197FDEE433FB5547EE83DE99E4B -
status(required): string
Contact status filter. Allowed values: ACTIVE (available), NEW (newly created), RESTRICTED (limited use), DISBARRED (blocked), DECEASED (closed), RETIRED (inactive).Allowed Values:
[ "ACTIVE", "NEW", "RESTRICTED", "DISBARRED", "DECEASED", "RETIRED" ]Example:ACTIVE
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples
400 Response
Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples